[alpine-devel] [PATCH] testing/apache-mod-auth-ntlm-winbind: new aport

Jeff Bilyk
Details
Message ID
<1284070359-3897-1-git-send-email-jbilyk@gmail.com>
Sender timestamp
1284070359
DKIM signature
missing
Download raw message
Patch: +35 -0
fixes #414
---
 testing/apache-mod-auth-ntlm-winbind/APKBUILD      |   34 ++++++++++++++++++++
 .../mod-auth-ntlm-winbind.conf                     |    1 +
 2 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100644 testing/apache-mod-auth-ntlm-winbind/APKBUILD
 create mode 100644 testing/apache-mod-auth-ntlm-winbind/mod-auth-ntlm-winbind.conf

diff --git a/testing/apache-mod-auth-ntlm-winbind/APKBUILD b/testing/apache-mod-auth-ntlm-winbind/APKBUILD
new file mode 100644
index 0000000..2a9bba0
--- /dev/null
+++ b/testing/apache-mod-auth-ntlm-winbind/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Jeff Bilyk <jbilyk@gmail.com> 
+# Maintainer: Natanael Copa <natanael.copa@gmail.com>
+pkgname=apache-mod-auth-ntlm-winbind
+pkgver=0.1
+pkgrel=0
+pkgdesc="Authentication module for Apache using NTLM protocol with winbind helper"
+url="http://samba.org/ftp/unpacked/lorikeet/mod_auth_ntlm_winbind/"
+license="Apache2"
+depends="apache2"
+makedepends="autoconf apache2-dev apr-util-dev apr-dev"
+source="http://samba.org/ftp/unpacked/lorikeet/mod_auth_ntlm_winbind/mod_auth_ntlm_winbind.c
+http://samba.org/ftp/unpacked/lorikeet/mod_auth_ntlm_winbind/configure.in
+http://samba.org/ftp/unpacked/lorikeet/mod_auth_ntlm_winbind/Makefile.in
+mod-auth-ntlm-winbind.conf"
+
+build() {
+	cd "$srcdir"
+	autoconf
+	./configure
+	make DESTDIR="$pkgdir" || return 1
+}
+
+package() {
+	cd "$srcdir"
+	mkdir -p "$pkgdir"/etc/apache2/conf.d
+	mkdir -p "$pkgdir"/usr/lib/apache2
+	install mod-auth-ntlm-winbind.conf "$pkgdir"/etc/apache2/conf.d/mod-auth-ntlm-winbind.conf
+	install "$srcdir"/.libs/mod_auth_ntlm_winbind.so "$pkgdir"/usr/lib/apache2/mod_auth_ntlm_winbind.so
+}
+
+md5sums="01d32e311e6a404bcf4179c863081818  mod_auth_ntlm_winbind.c
+e1490dae6e468d4bc56154b16e5d8c24  configure.in
+410de8b0ac7ffe5c44a71d094190187d  Makefile.in
+331b392c7aaa13b3a9ea8780ce2db3d4  mod-auth-ntlm-winbind.conf"
diff --git a/testing/apache-mod-auth-ntlm-winbind/mod-auth-ntlm-winbind.conf b/testing/apache-mod-auth-ntlm-winbind/mod-auth-ntlm-winbind.conf
new file mode 100644
index 0000000..da7d991
--- /dev/null
+++ b/testing/apache-mod-auth-ntlm-winbind/mod-auth-ntlm-winbind.conf
@@ -0,0 +1 @@
+LoadModule auth_ntlm_winbind_module lib/apache2/mod_auth_ntlm_winbind.so
-- 
1.7.2.1



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---